org.apache.ivy.core.settings

## Interface Validatable

All Known Implementing Classes:
  AbstractOSGiResolver, AbstractPatternsBasedResolver, AbstractResolver, AbstractSshBasedResolver, AggregatedOSGiResolver, BasicResolver, BintrayResolver, CacheResolver, ChainResolver, DualResolver, FileSystemResolver, IBiblioResolver, IvyRepResolver, JarResolver, MirroredURLResolver, OBRResolver, PackagerResolver, RepositoryResolver, SFTPResolver, SshResolver, UpdateSiteResolver, URLResolver, VfsResolver, VsftpResolver

    public interface Validatable

Implemented by settings element which need to perform validation when settings are loaded.

### Method Summary

Methods
`void` `validate()` Validates the Validatable, throwing an `IllegalStateException` if the current state is not valid.

### Method Detail

#### validate

    void validate()

Validates the Validatable, throwing an `IllegalStateException` if the current state is not valid.

Throws:
  `java.lang.IllegalStateException` - if the state of the `Validatable` is not valid.